<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.io.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.SzPageInfo" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%@ page import="net.sz600.system.SzLevelNumber" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.flow.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.weboffice.*" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=gbk">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<form name="formHidden" method="post">
</form>
<%
   	String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));
	OfficeControl officeControl = new OfficeControl();
	
	boolean flag = true;
	String path = SzConvert.toSpaceStr(request.getParameter("path"));

	flag = officeControl.control(request);

	String sMessage = "²Ù×÷Ê§°Ü";
	String sUrl = "index.jsp";
    if (flag) {
    	if (sOPERATOR.equals("edit")) {
    		out.println("<script language='javascript'>");
    		out.println("document.location.href='../../../" + path + "'");
    		out.println("</script>");
    	} else {
        	out.println(SzPageHelp.jsAlert("²Ù×÷³É¹¦"));
        	//out.println(SzPageHelp.jsGoUrl(sUrl));
        	out.println(SzPageHelp.jsFormSubmit("formHidden",sUrl));
    	}
    } else {
        out.println(SzPageHelp.jsAlertBack(sMessage));
    }	
%>
